import axios from "@/utils/axios";
// 新系统专利数据库新接口
export default {
    /**
     * 新增专利数据库
     * @param {*} data 
     * @returns 
     */
    addPatentProject(data) {
        return axios.post("/xiaoshi/patentProject/addPatentProject", data);
    },
    /**
     * 查询专利数据库
     * @param {*} data 
     * @returns 
     */
    queryPatentProject(data) {
        return axios.post("/xiaoshi/patentProject/queryPatentProject", data);
    },
    /**
     * 更新专利数据库
     * @param {*} data 
     * @returns 
     */
    updatePatentProject(data) {
        return axios.post("/xiaoshi/patentProject/updatePatentProject", data);
    },
    /**
     * 删除专利数据库
     * @param {*} data 
     * @returns 
     */
    deletePatentProject(data) {
        return axios.post("/xiaoshi/patentProject/deletePatentProject", data);
    },
    /**
     * 专利数据库分组
     * @param {*} data 
     * @returns 
     */
    groupPatentProject(data) {
        return axios.post("/xiaoshi/patentProject/groupPatentProject", data);
    },
    /**
     * 添加专利到报告中
     * @param {*} data 
     * @returns 
     */
    addProjectPatentToReport(data){
        return axios.post("/xiaoshi/patentProject/addProjectPatentToReport", data);
    },
    
    /**
     * 添加定时更新条件
     * @param {*} data 
     * @returns 
     */
    addQuartzCondition(data){
        return axios.post("/xiaoshi/importTaskCondition/addQuartzCondition", data);
    },
    /**
     * 编辑定时更新条件
     * @param {*} data 
     * @returns 
     */
    updateQuartzCondition(data){
        return axios.post("/xiaoshi/importTaskCondition/updateQuartzCondition", data);
    },
    /**
     * 查询定时更新条件
     * @param {*} data 
     * @returns 
     */
    queryQuartzCondition(data){
        return axios.post("/xiaoshi/importTaskCondition/queryQuartzCondition", data);
    },
    /**
     * 删除定时更新条件
     * @param {*} data 
     * @returns 
     */
    removeQuartzCondition(data){
        return axios.post("/xiaoshi/importTaskCondition/removeQuartzCondition", data);
    },

     /**
     * 查询专题库定时配置
     * @param {*} data 
     * @returns 
     */
     queryProjectQuartz(data){
        return axios.post("/xiaoshi/patentProject/queryProjectQuartz", data);
    },
    /**
     * 配置专题库定时配置
     * @param {*} data 
     * @returns 
     */
    setProjectQuartz(data){
        return axios.post("/xiaoshi/patentProject/setProjectQuartz", data);
    },

};
